Name:           alligator 
Version:        21.06
Release:        2%{?dist}
License:        GPLv2 or GPLv3
Summary:        Kirigami-based RSS reader
Url:            https://invent.kde.org/plasma-mobile/alligator
Source:         https://download.kde.org/stable/plasma-mobile/%{version}/%{name}-%{version}.tar.xz
Source1:        org.kde.alligator.appdata.xml

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  appstream

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Sql)

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Syndication)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)

Requires:       kf5-kirigami2
Requires:       hicolor-icon-theme


%description
Alligator is a convergent RSS/Atom feed reader.

%prep
%autosetup -n alligator-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name}
chmod -x %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop
cp %{SOURCE1} %{buildroot}%{_datadir}/metainfo/org.kde.%{name}.appdata.xml


%check
appstreamcli validate --no-net %{buildroot}%{_datadir}/metainfo/org.kde.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 21.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 16 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.06-1
- 21.06

* Sat May 22 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.05-2
- License section fixed

* Sun May 16 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.05-1
- initial version of package

